Return the current process group identifier

- « posix_getpgid

- posix_getpid »

- PHP Manual
- POSIX Functions
- Return the current process group identifier

# posix_getpgrp

(PHP 4, PHP 5, PHP 7, PHP 8)

posix_getpgrp — Return the current process group identifier

### Description

posix_getpgrp(): int

Return the process group identifier of the current process.

### Parameters

This function has no parameters.

### Return Values

Returns the identifier, as an int.

### See Also

- POSIX.1 and the getpgrp(2) manual page on the POSIX system for more information on process groups.